From c41eb3b14a3d1eb2e3c42c4728cc52a22748851a Mon Sep 17 00:00:00 2001
From: Stefan Eissing <icing@apache.org>
Date: Mon, 16 Oct 2023 06:39:44 +0000
Subject: [PATCH] Merge 1912993 from trunk:

  *) mod_macro: use our own strncmp function



git-svn-id: https://svn.apache.org/repos/asf/httpd/httpd/branches/2.4.x@1912994 13f79535-47bb-0310-9956-ffa450edef68
---
 modules/core/mod_macro.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Index: apache2-2.4.29/modules/core/mod_macro.c
===================================================================
--- apache2-2.4.29.orig/modules/core/mod_macro.c
+++ apache2-2.4.29/modules/core/mod_macro.c
@@ -465,7 +465,7 @@ static const char *process_content(apr_p
     for (i = 0; i < contents->nelts; i++) {
         const char *errmsg;
         /* copy the line and substitute macro parameters */
-        strncpy(line, ((char **) contents->elts)[i], MAX_STRING_LEN - 1);
+        apr_cpystrn(line, ((char **) contents->elts)[i], MAX_STRING_LEN);
         errmsg = substitute_macro_args(line, MAX_STRING_LEN,
                                        macro, replacements, used);
         if (errmsg) {
